// This class describes an On/Off Switch actuator

package lab.tutorial.restclient.actuators;

import lab.tutorial.restclient.JSONParser;

import org.json.JSONException;
import org.json.JSONObject;

public class OnOffSwitch extends Actuator {
	
	private Boolean setting;
	public String onValue = "on";
	public String offValue = "off";
	
	public OnOffSwitch(int id, String name, String location, Object setting) {
		super(id, name, location, ActuatorConstants.ONOFF);
		this.setting = (Boolean)setting;
	}
	
	public OnOffSwitch(JSONObject json) throws JSONException {
		super(JSONParser.extractId(json),
				JSONParser.extractName(json),
				JSONParser.extractLocation(json),
				ActuatorConstants.ONOFF);
		String value = JSONParser.extractSetting(json); // value is given as string by server
		setSetting(value);
	}	
	
	public Boolean getSetting(){
		return this.setting;
	}
	
	public void setSetting(String setting) {
		if (setting.equalsIgnoreCase(onValue)) this.setting = true;
		else this.setting = false;
	}
	
	public void setSetting(Boolean setting){
		this.setting = setting;
	}

}
