// This class describes a general sensor

package lab.tutorial.restclient.sensors;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.PriorityQueue;

abstract public class Sensor {
		private int id;
		private String name;
		private String location;
		private String type;
		private ValuesHistory values;
		
		public Sensor(int id, String name, String location, String type) {
			this.id = id;
			this.name = name;
			this.location = location;
			this.type = type;
			this.values = new ValuesHistory();
		}
		
		public int getId() {
			return id;
		}
		public void setId(int id) {
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getLocation() {
			return location;
		}
		public void setLocation(String location) {
			this.location = location;
		}
		public String getType() {
			return type;
		}
		public void setType(String type) {
			this.type = type;
		}	
		
		public double getValue() {
			if (values.getValues().size()<1) return 0;
			return values.getValues().peek().getRight();
		}

		public PriorityQueue<ValuesHistory.Pair<Timestamp,Double>> getHistory() {
			return values.getValues();
		}

		public void addToHistory(ArrayList<ValuesHistory.Pair<Timestamp,Double>> values) {
			this.values.addValues(values);
		}

		public int getHistorySize() {
			return this.values.getValues().size();
		}
}
