// This class describes a temperature sensor

package lab.tutorial.restclient.sensors;

import lab.tutorial.restclient.JSONParser;

import org.json.JSONException;
import org.json.JSONObject;

public class TemperatureSensor extends Sensor {
	
	private String unit = "C";
	
	public TemperatureSensor(int id, String name, String location) {
		super(id, name, location, SensorConstants.TEMPERATURE);
	}
	
	public TemperatureSensor(JSONObject json) throws JSONException {
		super(JSONParser.extractId(json),
				JSONParser.extractName(json),
				JSONParser.extractLocation(json),
				SensorConstants.TEMPERATURE);
	}

	public String getUnit() {
		return unit;
	}

	public String getValueAndUnit(){
		return this.getValue()+this.unit;
	}
	

}
